Bug 116149 - "Add to addressbook" / Merge with existing contact segfaults
"Add to addressbook" / Merge with existing contact segfaults
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-18 11:44 EST by Bill Garrett
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 16:24:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Garrett 2004-02-18 11:44:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040116 Galeon/1.3.12

Description of problem:
Selecting an email address from a received e-mail and merging it with
an existing contact segfaults Evolution.

Version-Release number of selected component (if applicable):
evolution-1.5.3-1

How reproducible:
Always

Steps to Reproduce:
1. Open email message, sent by someone listed as a contact but without
an email address associated.
2. Right-click on sender email address, "Add to Address Book"
3. "Add to Existing Contact (Name Withheld)"?  OK
4. Select address as Primary Email

Actual Results:  Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1073878272 (LWP 1741)]
0x41070005 in free () from /lib/tls/libc.so.6
(gdb) bt
#0  0x41070005 in free () from /lib/tls/libc.so.6
#1  0x48f03694 in g_free () from /usr/lib/libglib-2.0.so.0
#2  0x48efadaf in g_list_foreach () from /usr/lib/libglib-2.0.so.0
#3  0x442965c9 in eab_send_contact ()
   from /usr/lib/evolution/1.5/components/libevolution-addressbook.so
#4  0x44296a44 in eab_send_contact ()
   from /usr/lib/evolution/1.5/components/libevolution-addressbook.so
#5  0x4429626c in eab_send_contact ()
   from /usr/lib/evolution/1.5/components/libevolution-addressbook.so
#6  0x48f75c01 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#7  0x48f602f0 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#8  0x48f756a5 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#9  0x48f74667 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
(gdb)


Expected Results:  Contact email should have been merged, I expect :)

Additional info:
Comment 1 James Mitchell Ullman 2004-03-05 10:16:49 EST
I have a similar bug, but I'm not crashing as often.

If I attempt to add a person to my address book via the context menu,
it doesn't remember the contact's name.  If I "Edit Full" the contact
is saved correctly.  

However, if I have two email addresses given for a single contact,
evolution will crash, but stay resident.  I will then have to manually
kill the evolution process in order to create a working instance.
Comment 2 Dave Malcolm 2004-05-18 13:59:02 EDT
Looking through the stack trace, and the latest code, eab_send_contact
seems to have been thoroughly rewritten since 1.5.3

Does the problem recur for 1.5.7?
Comment 4 John Thacker 2006-10-29 16:24:09 EST
Closing per lack of response to previous request for information.  Note that FC3
and FC4 are only supported by Fedora Legacy for security fixes.  If this is a
security issue, please assign to Fedora Legacy.  Otherwise, please retest with
FC5 or FC6, and if it still occurs, please reopen and assign to the correct
version.  Many changes have occurred since this bug was first filed and it may
be fixed in a more recent version.  We apologize for not fixing this bug
earlier.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.